public class ZooTest {
    public static void main(String[] args) {
        Animal eagle = new Eagle();
        eagle.makeSound();
        ((Eagle) eagle).fly();
        ((Eagle) eagle).swim();

        Animal frog = new Frog();
        frog.makeSound();
        ((Frog) frog).swim();
        ((Frog) frog).climb();

        Animal camel = new Camel();
        camel.makeSound();
        ((Camel) camel).climb();
    }
}
